(SOLVED) Go back to earlier version that Update Manager Installed

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
halregen
Level 2
Level 2
Posts: 87
Joined: Fri Jul 12, 2013 5:40 am
Location: New Zealand

(SOLVED) Go back to earlier version that Update Manager Installed

Post by halregen » Thu Aug 15, 2019 7:23 am

After upgrading to Mint 19.2 and the upgrade manager been upgraded, it has installed some updates that are stopping resume from sleep. It was working well before the updates. I only use to allow updates to level 2 but I think most updates are enabled now with the level preferences been stopped. So that is why I think some updates have caused my problem. I did do a Time Shift snapshot but that was only after I allowed the updates. Is there a way to install the earlier versions? I looked in dpkg.log for this date 2019-08-15, to see what was updated.
Here is the list:

Code: Select all

2019-08-15 11:57:38 upgrade libegl-mesa0:amd64 19.0.2-1ubuntu1.1~18.04.2 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:38 status triggers-pending libc-bin:amd64 2.27-3ubuntu1
2019-08-15 11:57:38 status half-configured libegl-mesa0:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:38 status unpacked libegl-mesa0:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:38 status half-installed libegl-mesa0:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:38 status half-installed libegl-mesa0:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:38 status unpacked libegl-mesa0:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:38 status unpacked libegl-mesa0:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:39 upgrade libgbm1:amd64 19.0.2-1ubuntu1.1~18.04.2 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:39 status half-configured libgbm1:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:39 status unpacked libgbm1:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:39 status half-installed libgbm1:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:39 status half-installed libgbm1:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:39 status unpacked libgbm1:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:39 status unpacked libgbm1:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:39 upgrade libgl1-mesa-dri:amd64 19.0.2-1ubuntu1.1~18.04.2 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:39 status half-configured libgl1-mesa-dri:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:39 status unpacked libgl1-mesa-dri:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:39 status half-configured libgl1-mesa-dri:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:40 status half-installed libgl1-mesa-dri:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:40 status half-installed libgl1-mesa-dri:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:41 status unpacked libgl1-mesa-dri:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:41 status unpacked libgl1-mesa-dri:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:41 upgrade libgl1-mesa-dri:i386 19.0.2-1ubuntu1.1~18.04.2 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:41 status half-configured libgl1-mesa-dri:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:41 status unpacked libgl1-mesa-dri:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:41 status half-installed libgl1-mesa-dri:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:42 status half-installed libgl1-mesa-dri:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:42 status unpacked libgl1-mesa-dri:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:42 status unpacked libgl1-mesa-dri:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:42 upgrade libglx-mesa0:i386 19.0.2-1ubuntu1.1~18.04.2 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:42 status half-configured libglx-mesa0:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:42 status unpacked libglx-mesa0:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:43 status half-configured libglx-mesa0:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:43 status half-installed libglx-mesa0:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:43 status half-installed libglx-mesa0:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:43 status unpacked libglx-mesa0:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:43 status unpacked libglx-mesa0:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:43 upgrade libglx-mesa0:amd64 19.0.2-1ubuntu1.1~18.04.2 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:43 status half-configured libglx-mesa0:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:43 status unpacked libglx-mesa0:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:43 status half-installed libglx-mesa0:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:44 status half-installed libglx-mesa0:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:44 status unpacked libglx-mesa0:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:44 status unpacked libglx-mesa0:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:44 upgrade libglapi-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:44 status half-configured libglapi-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:44 status unpacked libglapi-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:44 status half-configured libglapi-mesa:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:44 status half-installed libglapi-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:44 status half-installed libglapi-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:45 status unpacked libglapi-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:45 status unpacked libglapi-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:45 upgrade libglapi-mesa:i386 19.0.2-1ubuntu1.1~18.04.2 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:45 status half-configured libglapi-mesa:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:45 status unpacked libglapi-mesa:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:45 status half-installed libglapi-mesa:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:45 status half-installed libglapi-mesa:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:45 status unpacked libglapi-mesa:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:45 status unpacked libglapi-mesa:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:45 upgrade libegl1-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:45 status half-configured libegl1-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:45 status unpacked libegl1-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:46 status half-installed libegl1-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:46 status half-installed libegl1-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:46 status unpacked libegl1-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:46 status unpacked libegl1-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:46 upgrade libgl1-mesa-glx:amd64 19.0.2-1ubuntu1.1~18.04.2 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:46 status half-configured libgl1-mesa-glx:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:46 status unpacked libgl1-mesa-glx:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:46 status half-configured libgl1-mesa-glx:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:46 status half-installed libgl1-mesa-glx:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:46 status half-installed libgl1-mesa-glx:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:47 status unpacked libgl1-mesa-glx:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:47 status unpacked libgl1-mesa-glx:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:47 upgrade libgl1-mesa-glx:i386 19.0.2-1ubuntu1.1~18.04.2 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:47 status half-configured libgl1-mesa-glx:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:47 status unpacked libgl1-mesa-glx:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:47 status half-installed libgl1-mesa-glx:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:47 status half-installed libgl1-mesa-glx:i386 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:47 status unpacked libgl1-mesa-glx:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:47 status unpacked libgl1-mesa-glx:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:48 upgrade libgles2-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:48 status half-configured libgles2-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:48 status unpacked libgles2-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:48 status half-installed libgles2-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:48 status half-installed libgles2-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:48 status unpacked libgles2-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:48 status unpacked libgles2-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:48 upgrade libwayland-egl1-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:48 status half-configured libwayland-egl1-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:48 status unpacked libwayland-egl1-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:48 status half-installed libwayland-egl1-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:49 status half-installed libwayland-egl1-mesa:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:49 status unpacked libwayland-egl1-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:49 status unpacked libwayland-egl1-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:49 upgrade libxatracker2:amd64 19.0.2-1ubuntu1.1~18.04.2 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:49 status half-configured libxatracker2:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:49 status unpacked libxatracker2:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:49 status half-installed libxatracker2:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:50 status half-installed libxatracker2:amd64 19.0.2-1ubuntu1.1~18.04.2
2019-08-15 11:57:50 status unpacked libxatracker2:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:50 status unpacked libxatracker2:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:50 upgrade wpasupplicant:amd64 2:2.6-15ubuntu2.3 2:2.6-15ubuntu2.4
2019-08-15 11:57:50 status half-configured wpasupplicant:amd64 2:2.6-15ubuntu2.3
2019-08-15 11:57:50 status unpacked wpasupplicant:amd64 2:2.6-15ubuntu2.3
2019-08-15 11:57:50 status half-installed wpasupplicant:amd64 2:2.6-15ubuntu2.3
2019-08-15 11:57:50 status triggers-pending dbus:amd64 1.12.2-1ubuntu1.1
2019-08-15 11:57:51 status triggers-pending dbus:amd64 1.12.2-1ubuntu1.1
2019-08-15 11:57:51 status triggers-pending man-db:amd64 2.8.3-2ubuntu0.1
2019-08-15 11:57:52 status half-installed wpasupplicant:amd64 2:2.6-15ubuntu2.3
2019-08-15 11:57:53 status unpacked wpasupplicant:amd64 2:2.6-15ubuntu2.4
2019-08-15 11:57:53 status unpacked wpasupplicant:amd64 2:2.6-15ubuntu2.4
2019-08-15 11:57:53 startup packages configure
2019-08-15 11:57:53 configure libgbm1:amd64 19.0.8-0ubuntu0~18.04.1 <none>
2019-08-15 11:57:53 status unpacked libgbm1:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:53 status half-configured libgbm1:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:53 status installed libgbm1:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:53 configure wpasupplicant:amd64 2:2.6-15ubuntu2.4 <none>
2019-08-15 11:57:53 status unpacked wpasupplicant:amd64 2:2.6-15ubuntu2.4
2019-08-15 11:57:53 status unpacked wpasupplicant:amd64 2:2.6-15ubuntu2.4
2019-08-15 11:57:54 status unpacked wpasupplicant:amd64 2:2.6-15ubuntu2.4
2019-08-15 11:57:54 status unpacked wpasupplicant:amd64 2:2.6-15ubuntu2.4
2019-08-15 11:57:54 status unpacked wpasupplicant:amd64 2:2.6-15ubuntu2.4
2019-08-15 11:57:54 status half-configured wpasupplicant:amd64 2:2.6-15ubuntu2.4
2019-08-15 11:57:55 status installed wpasupplicant:amd64 2:2.6-15ubuntu2.4
2019-08-15 11:57:55 configure libglapi-mesa:amd64 19.0.8-0ubuntu0~18.04.1 <none>
2019-08-15 11:57:55 status unpacked libglapi-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:55 status half-configured libglapi-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:55 status installed libglapi-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:55 configure libglapi-mesa:i386 19.0.8-0ubuntu0~18.04.1 <none>
2019-08-15 11:57:55 status unpacked libglapi-mesa:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:55 status half-configured libglapi-mesa:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:55 status installed libglapi-mesa:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:55 configure libxatracker2:amd64 19.0.8-0ubuntu0~18.04.1 <none>
2019-08-15 11:57:55 status unpacked libxatracker2:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:55 status half-configured libxatracker2:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:55 status installed libxatracker2:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:55 trigproc libc-bin:amd64 2.27-3ubuntu1 <none>
2019-08-15 11:57:55 status half-configured libc-bin:amd64 2.27-3ubuntu1
2019-08-15 11:57:56 status installed libc-bin:amd64 2.27-3ubuntu1
2019-08-15 11:57:56 configure libwayland-egl1-mesa:amd64 19.0.8-0ubuntu0~18.04.1 <none>
2019-08-15 11:57:56 status unpacked libwayland-egl1-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:56 status half-configured libwayland-egl1-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:56 status installed libwayland-egl1-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:56 trigproc man-db:amd64 2.8.3-2ubuntu0.1 <none>
2019-08-15 11:57:56 status half-configured man-db:amd64 2.8.3-2ubuntu0.1
2019-08-15 11:57:58 status installed man-db:amd64 2.8.3-2ubuntu0.1
2019-08-15 11:57:58 configure libegl-mesa0:amd64 19.0.8-0ubuntu0~18.04.1 <none>
2019-08-15 11:57:58 status triggers-pending libc-bin:amd64 2.27-3ubuntu1
2019-08-15 11:57:58 status unpacked libegl-mesa0:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:58 status half-configured libegl-mesa0:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:58 status installed libegl-mesa0:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:58 trigproc dbus:amd64 1.12.2-1ubuntu1.1 <none>
2019-08-15 11:57:58 status half-configured dbus:amd64 1.12.2-1ubuntu1.1
2019-08-15 11:57:58 status installed dbus:amd64 1.12.2-1ubuntu1.1
2019-08-15 11:57:58 configure libgles2-mesa:amd64 19.0.8-0ubuntu0~18.04.1 <none>
2019-08-15 11:57:58 status unpacked libgles2-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:58 status half-configured libgles2-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:58 status installed libgles2-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:58 configure libegl1-mesa:amd64 19.0.8-0ubuntu0~18.04.1 <none>
2019-08-15 11:57:58 status unpacked libegl1-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:58 status half-configured libegl1-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:59 status installed libegl1-mesa:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:59 configure libgl1-mesa-dri:amd64 19.0.8-0ubuntu0~18.04.1 <none>
2019-08-15 11:57:59 status unpacked libgl1-mesa-dri:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:59 status half-configured libgl1-mesa-dri:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:59 status installed libgl1-mesa-dri:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:59 configure libgl1-mesa-dri:i386 19.0.8-0ubuntu0~18.04.1 <none>
2019-08-15 11:57:59 status unpacked libgl1-mesa-dri:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:59 status half-configured libgl1-mesa-dri:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:59 status installed libgl1-mesa-dri:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:59 configure libglx-mesa0:amd64 19.0.8-0ubuntu0~18.04.1 <none>
2019-08-15 11:57:59 status unpacked libglx-mesa0:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:59 status half-configured libglx-mesa0:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:59 status installed libglx-mesa0:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:59 configure libglx-mesa0:i386 19.0.8-0ubuntu0~18.04.1 <none>
2019-08-15 11:57:59 status unpacked libglx-mesa0:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:59 status half-configured libglx-mesa0:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:59 status installed libglx-mesa0:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:57:59 configure libgl1-mesa-glx:amd64 19.0.8-0ubuntu0~18.04.1 <none>
2019-08-15 11:57:59 status unpacked libgl1-mesa-glx:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:58:00 status half-configured libgl1-mesa-glx:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:58:00 status installed libgl1-mesa-glx:amd64 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:58:00 configure libgl1-mesa-glx:i386 19.0.8-0ubuntu0~18.04.1 <none>
2019-08-15 11:58:00 status unpacked libgl1-mesa-glx:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:58:00 status half-configured libgl1-mesa-glx:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:58:00 status installed libgl1-mesa-glx:i386 19.0.8-0ubuntu0~18.04.1
2019-08-15 11:58:00 trigproc libc-bin:amd64 2.27-3ubuntu1 <none>
2019-08-15 11:58:00 status half-configured libc-bin:amd64 2.27-3ubuntu1
2019-08-15 11:58:00 status installed libc-bin:amd64 2.27-3ubuntu1
So there is some things that were upgraded like libegl-mesa that might have caused the resume problem. The symptom is everything seems to resume but the monitor stays in suspend. I am not certain if input output is working with keyboard and mouse. From that list what can/should I go back to earlier version?
Last edited by halregen on Thu Aug 15, 2019 6:50 pm, edited 2 times in total.

User avatar
Pierre
Level 19
Level 19
Posts: 9267
Joined: Fri Sep 05, 2008 5:33 am
Location: Perth, AU.

Re: Go back to earlier version that Update Manager Installed

Post by Pierre » Thu Aug 15, 2019 7:30 am

it would pay to re-check the connection to the LinuxMint servers,
in order to continue with that actual update - - rather than actually Aborting it.
- you can check that in Update Manager.
via Edit - Software Sources - Mirrors.
Image
Please edit your original post title to include [SOLVED] - when your problem is solved!
and DO LOOK at those Unanswered Topics - - you may be able to answer some!.

gm10
Level 20
Level 20
Posts: 10276
Joined: Thu Jun 21, 2018 5:11 pm

Re: Go back to earlier version that Update Manager Installed

Post by gm10 » Thu Aug 15, 2019 7:47 am

halregen wrote:
Thu Aug 15, 2019 7:23 am
Is there a way to install the earlier versions?
Yes, but earlier versions don't stay available via the repositories, so you'd have to get the packages from elsewhere, there are some sites that archive these. The only version you can go back to via the repositories is the one that LM 19 originally released with, i.e. Mesa 18.0.0~rc5-1ubuntu1 (instead of the current 19.0.8-0ubuntu0~18.04.1). You can choose versions in Synaptic or do it from the command line: apt install <package>=<version>.

That's why Timeshift is the recommened way, but you say you don't have a snapshot.

Alternatively make a thread and ask for help with solving the resume problem, it's typically resolved with some graphics driver settings. Include output from inxi -Fxz and cat /proc/cmdline.
Tune up your LM 19.x: ppa:gm10/linuxmint-tools

halregen
Level 2
Level 2
Posts: 87
Joined: Fri Jul 12, 2013 5:40 am
Location: New Zealand

Re: Go back to earlier version that Update Manager Installed

Post by halregen » Thu Aug 15, 2019 6:37 pm

gm10 wrote:
Thu Aug 15, 2019 7:47 am
halregen wrote:
Thu Aug 15, 2019 7:23 am
Is there a way to install the earlier versions?
Yes, but earlier versions don't stay available via the repositories, so you'd have to get the packages from elsewhere, there are some sites that archive these. The only version you can go back to via the repositories is the one that LM 19 originally released with, i.e. Mesa 18.0.0~rc5-1ubuntu1 (instead of the current 19.0.8-0ubuntu0~18.04.1). You can choose versions in Synaptic or do it from the command line: apt install <package>=<version>.

That's why Timeshift is the recommened way, but you say you don't have a snapshot.

Alternatively make a thread and ask for help with solving the resume problem, it's typically resolved with some graphics driver settings. Include output from inxi -Fxz and cat /proc/cmdline.
If I force installation of earlier version in synaptic a lot of other software is going to be removed including cinnamon. Is there anyway to only remove and replace mesa version?

halregen
Level 2
Level 2
Posts: 87
Joined: Fri Jul 12, 2013 5:40 am
Location: New Zealand

Re: Go back to earlier version that Update Manager Installed

Post by halregen » Thu Aug 15, 2019 6:48 pm

I found what was causing resume from sleep to not work. In power settings I had hybrid sleep accidentally enabled. I know hybrid sleep has not worked for some time. When I turned that of it now resumes without a problem.
Just a simple setting I missed seeing.

gm10
Level 20
Level 20
Posts: 10276
Joined: Thu Jun 21, 2018 5:11 pm

Re: (SOLVED) Go back to earlier version that Update Manager Installed

Post by gm10 » Thu Aug 15, 2019 6:58 pm

There you go, nothing that update levels would have protected you from. ;)

And yes, hybrid sleep is not well supported on all platforms, although typically you can use a script to reload a problematic driver automatically after resume.
Tune up your LM 19.x: ppa:gm10/linuxmint-tools

halregen
Level 2
Level 2
Posts: 87
Joined: Fri Jul 12, 2013 5:40 am
Location: New Zealand

Re: (SOLVED) Go back to earlier version that Update Manager Installed

Post by halregen » Fri Aug 16, 2019 6:47 pm

Hybrid sleep was not working before I updated to Mint 19.2 but sleep & hybernate was working. Sleep on it own works in Mint 19.2

Post Reply

Return to “Software & Applications”